a bug in the perl patch

Aleksandar Kuktin akuktin at gmail.com
Sat Jun 25 18:52:45 PDT 2011


There is a bug in the newly submitted patch for perl.

It is in the middle of the if statement, $libc is assigned the version
of the wrong libc (/lib/libc.so.6 and not the prefixed version).

The corrected patch:

diff -Naur perl-5.14.1.orig/hints/linux.sh perl-5.14.1/hints/linux.sh
--- perl-5.14.1.orig/hints/linux.sh    2011-06-09 15:04:29.000000000 -0500
+++ perl-5.14.1/hints/linux.sh 2011-06-25 16:42:12.000000000 -0500
@@ -63,9 +63,9 @@
 # We don't use __GLIBC__ and  __GLIBC_MINOR__ because they
 # are insufficiently precise to distinguish things like
 # libc-2.0.6 and libc-2.0.7.
-if test -L /lib/libc.so.6; then
-    libc=`ls -l /lib/libc.so.6 | awk '{print $NF}'`
-    libc=/lib/$libc
+if test -L ${prefix}/lib/libc.so.6; then
+    libc=`ls -l ${prefix}/lib/libc.so.6 | awk '{print $NF}'`
+    libc=${prefix}/lib/$libc
 fi
 
 # Configure may fail to find lstat() since it's a static/inline
@@ -461,3 +461,8 @@
     libswanted="$libswanted pthread"
     ;;
 esac
+
+locincpth=""
+loclibpth=""
+glibpth="${prefix}/lib"
+usrinc="${prefix}/include"


-- 
-Aleksandar Kuktin



More information about the lfs-dev mailing list